# Class ArithmeticException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.ArithmeticException

All Implemented Interfaces:
  `Serializable`

public class ArithmeticException extends RuntimeException
Thrown when an exceptional arithmetic condition has occurred. For example, an integer "divide by zero" throws an instance of this class. `ArithmeticException` objects may be constructed by the virtual machine as if suppression were disabled and/or the stack trace was not writable.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArithmeticException()`
  Constructs an `ArithmeticException` with no detail message.
  `ArithmeticException(String s)`
  Constructs an `ArithmeticException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArithmeticException

    public ArithmeticException()
    Constructs an `ArithmeticException` with no detail message.

  - ### ArithmeticException

    public ArithmeticException(String s)
    Constructs an `ArithmeticException` with the specified detail message.
    Parameters:
      `s` - the detail message.